Subject: AW: [Sipping] IPv6 addresses in Via received parameter

From: "Paeppinghaus, Peter" <[email-masked]>
Date: Tue, 11 Apr 2006 11:42:35 +0200

Hello,

the following mail of my colleague went unnoticed. I hereby repost it as a vote in this discussion.

Best regards,
Peter Päppinghaus

=====================================================================================

Von:	[email-masked] im Auftrag von Zdenek Pernica [[email-masked]]
Gesendet:	Freitag, 18. März 2005 07:37
An:	[email-masked]
Betreff:	[Sip] IPv6 syntax of 'received' param of Via

Hi,

Current syntax of IPv6 in 'received' param of Via in RFC 3261
violates general syntax of 'generic-param':

via-received = "received" EQUAL (IPv4address / IPv6address)

since there is IPv6address instead of IPv6reference.

'via-received' is not a subset of 'generic-param', which only
complicates parser implementation.
via-received cannot be matched as 'generic-param'
just only within Via context, otherwise could.

Former syntax of via-received in RFC 2543 was fully generic-param compliant:

via-received = "received" "=" host

I think that syntax of 'received' should be:
via-received = "received" EQUAL (IPv4address / IPv6reference)

(for RFC2543 and generic-param compatibility, and context independency)

Is there a mistake in RFC 3261 or is presented syntax meant
seriously ?

===========================================================================

> -----Ursprüngliche Nachricht-----
> Von: Vijay K. Gurbani [mailto:[email-masked]] 
> Gesendet: Montag, 10. April 2006 17:42
> An: SIPPING LIST; SIP Implementors
> Betreff: [Sipping] IPv6 addresses in Via received parameter
> 
> Folks: Before the Dallas IETF, I had sent an email to gauge
> consensus on whether the "received" parameter should have the
> delimiters '[' and ']' when its content is an IPv6 address.
> That is:
> 
>    Via: SIP/2.0/TCP foo.example.com;received=[2001::db8];branch=...
> 
> versus:
> 
>    Via: SIP/2.0/TCP foo.example.com;received=2001::db8;branch=...
> 
> RFC 3261 ABNF indicates the latter; i.e., without the delimiters.
> However, there is some precedence for encapsulating literal IPv6
> addresses in square brackets when it is contained in a URL (see
> RFC 2732).  Furthermore, having a '[' is much amenable to the
> parser since one can know at the outset that the received parameter
> contains an IPv6 address.  The SIP IPv6 torture test draft has
> the received encapsulated in the square brackets (see
> draft-sipping-gurbani-ipv6-sip-02).
> 
> Can folks who have IPv6 implementations kindly post what their
> behavior is?  Also, does anyone know how reSIProcate treats this?
> With the SIPit coming up, I would like to see if we can reach a
> consensus on this.  It would be good to know how the implementations
> are treating this.
> 
> The link to my original post is given below, followed by another
> link to a followup post on why having the IPv6 encapsulated in
> square brackets may be more consistent with expectations.
> 
> http://www1.ietf.org/mail-archive/web/sipping/current/msg10341.html
> http://www1.ietf.org/mail-archive/web/sipping/current/msg10373.html
> 
> Thanks,
> 
> - vijay
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP